%define module	Net-SCP
%define name	perl-%{module}
%define version 0.07
%define release %mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Net::SSH)
BuildRequires:	perl(String::ShellQuote)

%description
Simple wrappers around ssh and scp commands.

%prep
%setup -q -n %{module}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-6mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-5mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Mon Jun 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-4mdk 
- better url
- drop useless empty directories
- spec cleanup
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-1mdk
- new version
- rpmbuildupdate aware
- dir ownership
- no more explicit dependencies, let spec-helper do its job

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.06-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-2mdk
- rebuild for new auto{prov,req}

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.06-1mdk
- 0.06

* Mon Jul 15 2002 Pixel <pixel@mandrakesoft.com> 0.05-3mdk
- rebuild for new perl 5.8.0

* Tue Oct 30 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.05-2mdk
- real description (Brian J. Murrell <cooker-in@interlinx.bc.ca>)

* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.05-1mdk
- new in contribs
- buildrequires perl-devel

* Fri Aug 31 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.04-1mdk
- first Mandrake release
